import { NavigationGroup } from './navigationgroup';
import { Component } from '../components/component';
import { UIContainer } from '../components/uicontainer';
import { Action, Direction } from './types';
/**
 * Extends NavigationGroup and provides additional logic for hiding and showing the UI on the root container.
 *
 * @category Components
 */
export declare class RootNavigationGroup extends NavigationGroup {
    readonly container: UIContainer;
    constructor(container: UIContainer, ...elements: Component<unknown>[]);
    handleAction(action: Action): void;
    handleNavigation(direction: Direction): void;
    protected defaultActionHandler(action: Action): void;
    release(): void;
}
